//import home from '../selectors/home.css'
import robert from '../../selectors/robert.css'
import '@cypress-audit/lighthouse/commands';

describe('HWPA ticket generation', () => {
    it('loads the correct screen', () => {
        cy.visit('https://rengawr.de/info/info.html', {auth: {username: "oma@oma.de", password: "Omnia$$2020", },})
        cy.get(robert.EGovC_demo).should('be.visible')
            .and('contain', 'li')
        cy.get('body > div > div > details:nth-child(4) > summary').click();
        cy.get('body > div > div > details:nth-child(4) > ul > li:nth-child(2) > a').click();
        

    })
    
    it('logs into user portal', () =>{
        cy.visit('https://rengawr.de/val/index.html?DebugLevel=0&jsApp=./oc/oApp_UserPortal_oc.js&AppName=Edit&AppCode=Start&OU_Name=EGOVC&LOG_Role=USER&ynDevTools=Y', {auth: {username: "oma@oma.de", password: "Omnia$$2020", },})

        //cy.lighthouse();


        //enter login credentials and click login button
        cy.get('#___5___Login___-4___USR_EMail').type('robert.wagner@egovc.de');
        cy.get('#___5___Login___-4___USR_Pass').type('Welcome1');
        cy.get('#CLK_6').click();
        cy.wait(3000);

        //open mobility -> logistik -> HWPA
        cy.get('#gridLeft > div > div.w3-card-4 > div:nth-child(2) > div > details:nth-child(9)').click();
        cy.get('#gridLeft > div > div.w3-card-4 > div:nth-child(2) > div > details:nth-child(9) > div > details:nth-child(4) > summary > div').click();
        cy.get('#gridLeft > div > div.w3-card-4 > div:nth-child(2) > div > details:nth-child(9) > div > details:nth-child(4) > div > div').first().click();

        cy.wait(3000);

        //<<<------   1 - Kontakt page   ------>>>
        cy.get('input.w3-check[name="ynHWK"]').check();
        cy.get('input.w3-check[name="ynGS"]').check();
        cy.get('input.w3-check[name="ynKFZ"]').check();
        cy.get('input.w3-input[name="PLZ"]').type('74889');

        //Speichern und Weiter
        cy.get('.w3-button[title="Speichern und Weiter"]').click();
        cy.wait(3000);


        //<<<------   2 - Antrag page   ------>>>
        cy.get('.w3-button[title="Antrag starten"]').click();

        //<<<------   1 - Kontakt page   ------>>>
        
        //Nachname
        //cy.get('')
        cy.get('input.w3-input[name="USR_LastName"]').type('Grueber');
        
        //vorname
        cy.get('input.w3-input[name="USR_FirstName"]').type('Hans');

        //Namenszusatz (Beispiel: Freifrau, Graf)
        cy.get('input.w3-input[name="USR_NameAddOn1"]').type('Graf');

        //Vorsatzworte zum Namen (Beispiel: von, van, de)
        cy.get('input.w3-input[name="USR_NameAddOn2"]').type('van');
        
        //Titel (Beispiel: Prof. Dr. med.
        cy.get('input.w3-input[name="USR_Title"]').type('Dr.');
        
        //E-Mail
        cy.get('input.w3-input[name="USR_EMail"]').invoke('val').should('contain', 'robert.wagner@egovc.de');

        //Telefonisch tagsüber zu erreichen (Angabe freiwillig)
        cy.get('input.w3-input[name="Telefon"]').invoke('val').should('contain', '072321-2636 534');

        //Mobiltelefon (Angabe freiwillig)
        cy.get('input.w3-input[name="Mobiltelefon"]').type('123123123123');

        //Rückrufnummer
        //cy.get('input.w3-input[name="CallBack"]').type('123123123123');
        
        //Starttermin
        cy.get('input.w3-input[name="DateWish"]').type('2025-05-04');
        
        //click "Speichern und Weiter"
        cy.get('.w3-button[title="Speichern und Weiter"]').click();
        cy.wait(3000);
        
        //<<<------   2 - UNTERNEHMENSDATEN page   ------>>>
        //Eingetragene Firmierung / Unternehmensname
        cy.get('input.w3-input[name="ORG_Name"]').type('TestCorp123');

        //Art des ausgeführten Handwerks
        cy.get('input.w3-input[name="__Key_GenericString_2"]').type('Mahler');

        //Betriebliche Steuernummer
        cy.get('input.w3-input[name="TaxId"]').type('123123');

        //Postleitzahl
        //cy.get('input.w3-input[name="PLZ"]').type('552074');

        //Ort
        //cy.get('input.w3-input[name="Stadt"]').type('TestBurg');

        //Straße
        cy.get('input.w3-input[name="Strasse"]').type('TestStrasse');

        //Hausnummer
        cy.get('input.w3-input[name="StrasseNr"]').type('123');

        //Hausnummerzusatz
        cy.get('input.w3-input[name="StrasseNrExt"]').type('123123');

        //check Handwerkskarte option
        //cy.get('input.w3-check[name="rdGewNachweis"]').check();

        //speichern und weiter
        cy.get('.w3-button[title="Speichern und Weiter"]').click();
        cy.wait(3000);

        //<<<------   3 - Handwerkskarte page   ------>>>
       
        //Betreibsnummer
        cy.get('input.w3-input[name="TaxId"]').type('123');

        //upload hwpa mouse image
        cy.get('input.fileUpload-drop-input').eq(0).selectFile('./cypress/upload_files/hwpa_mouse.png');
        cy.get('input.fileUpload-drop-input').eq(1).selectFile('./cypress/upload_files/hwpa_mouse.png');

        //Speichern und Weiter
        cy.get('.w3-button[title="Speichern und Weiter"]').click();
        cy.wait(3000);


        ///<<<------   4 - Gewerbenachsweis page   ------>>>
        //upload hwpa mouse
        cy.get('input.fileUpload-drop-input').selectFile('./cypress/upload_files/hwpa_mouse.png');
        
        //Speichern und Weiter
        cy.get('.w3-button[title="Speichern und Weiter"]').click();
        cy.wait(3000);

        //<<<------   5 - Fahrzeugphoto page   ------>>>
        cy.get('input.fileUpload-drop-input').selectFile('./cypress/upload_files/hwpa_mouse.png');

        //upload hwpa mouse
        cy.get('input.fileUpload-drop-input').selectFile('./cypress/upload_files/hwpa_mouse.png');
        cy.get('.w3-button[title="Speichern und Weiter"]').click();

        //<<<------   6 - Zulassung page   ------>>>
        cy.get('input.w3-input[name="idKFZ"]').type('HD ZZ 777');
        cy.get('input.fileUpload-drop-input').selectFile('./cypress/upload_files/hwpa_mouse.png');
        
        //Submit request!!!
        cy.get('.w3-button[title="Antrag senden"]').click();
        cy.wait(3000);






    })
    
    it('logs into clerk portal', () =>{
        cy.visit('https://rengawr.de/val/index.html?DebugLevel=0&jsApp=./oc/oApp_ClerkPortal_oc.js&AppName=Edit&AppCode=Start&OU_Name=EGOVC&LOG_Role=CLERK&ynDevTools=Y', {auth: {username: "oma@oma.de", password: "Omnia$$2020", },})

        //enter login credentials and  login button
        cy.get('#___5___Login___-4___USR_EMail').type('robert.wagner@egovc.de');
        cy.get('#___5___Login___-4___USR_Pass').type('Welcome1');
        cy.get('#CLK_6').click();
        cy.wait(3000);

        //open the first ticket ticket
        cy.get('.w3-button[title="Abarbeitung starten"]').first().click();
        
        cy.wait(3000);

        //Kontakt
        //TODO: enter comment
        //
        //select ok
        cy.get('select[name="ynPassed"]').select(1);
        //Speichern und weiter
        cy.get('.w3-button[title="Speichern und Weiter"]').click();
        cy.wait(3000);

        //Unternehmensdaten
        //TODO: enter comment
        //
        //select ok
        cy.get('select[name="ynPassed"]').select(1);
        //Speichern und weiter
        cy.get('.w3-button[title="Speichern und Weiter"]').click();
        cy.wait(3000);

        //GewerbenAchWeis
        //TODO: enter comment
        //
        //verify Kopie der Handwerkskarte
        cy.get('select[name="ynPassed"]').select(1);
        //speichern und weiter
        cy.get('.w3-button[title="Speichern und Weiter"]').click();
        cy.wait(3000);

        //zulassung des fahrzeugs
        //TODO: enter comment
        //
        //select ok
        cy.get('select[name="ynPassed"]').select(1);
        //speichern und weiter
        cy.get('.w3-button[title="Speichern und Weiter"]').click();
        cy.wait(3000);

        //photo des fahrzeugs
        //TODO: enter comment
        //
        //select ok
        cy.get('select[name="ynPassed"]').select(1);
        //speichern und weiter
        cy.get('.w3-button[title="Speichern und Weiter"]').click();
        cy.wait(3000);

        //Final page
        //accept application and generate permits
        cy.get('.w3-button[title="Speichern und Weiter"]').click();

        //KFZ regestreirung
        cy.get('.w3-button[title="Genehmigung"]').click();
        cy.wait(3000);

        //2 - Fahrzeug
        cy.get('.w3-button[title="Speichern und Weiter"]').click();
        cy.wait(3000);

        //3 - TEXT <<>>>
        cy.get('.w3-button[title="Speichern und Weiter"]').click();
        cy.get('.w3-input[name="RBB_Buchungszeichen"]').type('testtesttest')

        //4 - Daten
        //Speichern und weiter
        cy.get('.w3-button[title="Speichern und Weiter"]').click();
        cy.wait(3000);

        //4 - Daten
        cy.get('.w3-button[title="Speichern und Weiter"]').click();
        cy.wait(3000);

        //5 - PDF
        //Dokumente versenden
        cy.get('.w3-button[title="Dokumente versenden"]').click();
        cy.wait(6000);



    })
    
    it('correctly selects Auto-Info-Prozess', () =>{


    })
})
